Loading...
Searching...
No Matches
pgpPktPre_u Union Reference
OpenPGP API.
Collaboration diagram for pgpPktPre_u:
[legend]

## Public Attributes

pgpPktPubkey | pubkey
pgpPktSig | sig
pgpPktSymkey | symkey
pgpPktOnepass | onepass
pgpPktKey | key
pgpPktCdata | cdata
pgpPktEdata | edata
pgpPktLdata | ldata
pgpPktTrust | tdata
pgpPktUid | uid

## Member Data Documentation

## cdata

pgpPktCdata pgpPktPre_u::cdata

5.6. Compressed Data

## edata

pgpPktEdata pgpPktPre_u::edata

5.7. Symmetrically Encrypted Data 5.8. Marker (obsolete)

## key

pgpPktKey pgpPktPre_u::key

5.5. Key Material

## ldata

pgpPktLdata pgpPktPre_u::ldata

5.9. Literal Data

## onepass

pgpPktOnepass pgpPktPre_u::onepass

5.4. One-Pass Signature

## pubkey

pgpPktPubkey pgpPktPre_u::pubkey

5.1. Public-Key Encrypted Session Key

## sig

pgpPktSig pgpPktPre_u::sig

5.2. Signature

## symkey

pgpPktSymkey pgpPktPre_u::symkey

5.3. Symmetric-Key Encrypted Session-Key

## tdata

pgpPktTrust pgpPktPre_u::tdata

5.10. Trust

## uid

pgpPktUid pgpPktPre_u::uid

5.11. User ID

The documentation for this union was generated from the following file:

- /src/temp/include/rpm/rpmpgp.h